using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Nano_System
{
    public partial class frmRepMoshtarian : Form
    {
        public frmRepMoshtarian()
        {
            InitializeComponent();
        }

        private void frmRepMoshtarian_Load(object sender, EventArgs e)
        {
            LSC_NanoProjDataContext db = new LSC_NanoProjDataContext();
            var Query = from Row in db.xtblMoshtarians
                        select new
                        {
                            Row.MemBerID,
                            Row.Expr1,
                            Row.melliCode,
                            Row.MemberState
                        };

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;

            xtblMoshtarianBindingSource.DataSource = Query;
            reportViewer1.RefreshReport(); 
        }
    }
}
